Bug 147618 - Straw doesn't build on x868_64
Straw doesn't build on x868_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: straw (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-09 16:09 EST by Toshio Kuratomi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.22.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 11:04:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix x86_64 build (2.46 KB, patch)
2005-02-09 16:09 EST, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Kuratomi 2005-02-09 16:09:20 EST
Description of problem:
Straw doesn't build on x86_64 because its %files section use %{_libdir} which is
expanded to /usr/lib64 for the script's files while those are actually installed
to /usr/lib.  Updating to the latest python_sitelib macros from the
fedora-rpmdevtools spectemplate.python solves the problem

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. On an x86_64, rpmbuild -ba straw.spec
2.
3.
  
Actual results:
See buildlog at http://www.fedoraproject.org/extras/3/build-logs/x86_64/straw.log

Expected results:
Create an rpm package of straw.

Additional info:
Comment 1 Toshio Kuratomi 2005-02-09 16:09:21 EST
Created attachment 110893 [details]
Patch to fix x86_64 build
Comment 2 Toshio Kuratomi 2005-02-09 16:11:37 EST
Patch was tested by Aurelian Bompard:
https://www.redhat.com/archives/fedora-extras-list/2005-February/msg00188.html
Comment 3 Thorsten Leemhuis 2005-02-10 15:27:53 EST
Just out of curiosity. Michel Alexandre, any update to the newest version
planed? Upstream seems to be at 0.25 IIRC
Comment 4 Michael Schwendt 2005-02-10 15:33:30 EST
bug 147247 comment 4
Comment 5 Thorsten Leemhuis 2005-02-11 07:32:39 EST
Thanks Michael; I overlooked this bug(s). I think I'm going to commit
the patch in this bug and only do a rebuild for x86_64. Opinions or
objections?
Comment 6 Michael Schwendt 2005-02-14 03:38:25 EST
Fixing current package is better IMO unless Michel or somebody else
fixes the 0.25.1 upgrade (see comment 4). Even with the known blocker
bugs fixes, there is increased risk that it breaks elsewhere and hence
would be worse than current version.
Comment 7 Thorsten Leemhuis 2005-02-14 10:49:18 EST
attachment (id=110893) commited to CVS; Requesting x86_64 build. 

Toshio, can you close this bug? Thanks.

Note You need to log in before you can comment on or make changes to this bug.